package model

import (
    "html/template"
    "strings"
)

type (
    Track struct {
        ID          string  `json:"id"`
        Title       string  `json:"title"`
        Description string  `json:"description"`
        Lyrics      string  `json:"lyrics" db:"lyrics"`
        PreviewURL  string  `json:"previewURL" db:"preview_url"`

        Number      int
    }
)

func (track Track) GetDescriptionHTML() template.HTML {
    return template.HTML(strings.Replace(track.Description, "\n", "<br>", -1))
}

func (track Track) GetLyricsHTML() template.HTML {
    return template.HTML(strings.Replace(track.Lyrics, "\n", "<br>", -1))
}

// this function is stupid and i hate that i need it
func (track Track) Add(a int, b int) int {
    return a + b
}
